=== debian/changelog ===
sysvinit (2.69-1) frozen unstable; urgency=medium

  * Fixed bug that can throw X in a loop (or any other app that reads from
    /dev/tty0)
  * Moved inittab to /usr/doc/sysvinit/examples so that it is no longer
    a config file.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Sun, 1 Dec 1996 15:32:24 +0100

sysvinit (2.68-1) frozen unstable; urgency=high

  * Added dummy fsck.nfs [temporary] (Bug#5492)
  * Changing /etc/motd optional (Bug#5493)
  * Typo in /etc/init.d/urandom fixed (Bug#5556)

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Wed, 27 Nov 1996 17:30:36 +0100

sysvinit (2.67-1) frozen unstable; urgency=high

  * Fixes problem with /dev/console being controlling terminal of some
    daemons
  * Some fixes in debian bootup script "boot"
  * Puts copyright file in the right place
  * Move random-seed stuff to its own file
  * Fix skeleton file (add set -e)
  * Change preinst/postinst scripts to save all variables from "boot" file
  * moved /etc/init.d/network to /usr/doc/examples/sysvinit
  * Changed "rc" script slightly (potential recipy for disaster..)
  * Various other fixes to close all outstanding bug reports.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Fri, 15 Nov 1996 12:23:33 +0100

sysvinit (2.66-1) unstable; urgency=medium

  * Skipped 2.65. A development 2.65 got out by accident and is apparently
    being used..
  * New source format
  * Also compiles and runs with GNU libc (and on the Alpha)
  * Fixed dowall.c not to exit when getpwuid() fails and uid == 0.
  * Fixed init panic'ing on empty lines in /etc/inittab
  * Changed default PATH to include /usr/local/sbin
  * Set /dev/console as controlling terminal for sysinit,bootwait,wait,powerwait
    This allows using ^C to interrupt some parts of eg the boot process.
  * Remove old symlink in /var/log/initlvl; let init check both
    /var/log and /etc itself.

 -- Miquel van Smoorenburg <miquels@cistron.nl>  Tue, 29 Oct 1996 13:46:54 +0100
